#
# spec file for package tree-sitter-qmljs
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name qmljs
Name:           tree-sitter-qmljs
Version:        0.2.0
Release:        1.2
Summary:        QML grammar for tree-sitter
License:        MIT
URL:            https://github.com/yuja/tree-sitter-qmljs
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
BuildRequires:  treesitter_grammar_src(tree-sitter-typescript)
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%changelog
* Thu Jan  2 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 0.2.0:
  * merge with dev
  * regenerate
  * accept multiple pragma values
  * add make rule to review parser changes in qtdeclarative repo
  * allow string literal in pragma values
  * define our set of reserved identifiers to get around "new {}" conflicts
  * add test of multi-line string literal
  * include tree_sitter/parser.h as local header
  * remove queries from rust binding
  * feat: migrate to tree-sitter.json
* Wed Dec 11 2024 Richard Rahl <rrahl0@opensuse.org>
- disable devel package (for now)
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- format spec file like the other grammars
- add neovim links
- enable devel package
* Sun Jul  7 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.1.2.41.febf48a:
  * remove queries from rust binding
  * bump rust binding dependencies and reorder highlights queries accordingly
  * don't mark my Makefile as linguist-generated
  * include package-lock.json in version control
  * include tree_sitter/parser.h as local header
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.1.2.27.239f262:
  * add test of multi-line string literal
  * define our set of reserved identifiers to get around "new {}" conflicts
  * extend reserved identifiers test to include various property name positions
* Fri Mar 15 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.1.2.24.9fa49ff:
  * bump tree-sitter-typescript to 0.20.5
  * add test of multi-line string literal
  * define our set of reserved identifiers to get around "new {}" conflicts
  * extend reserved identifiers test to include various property name positions
  * bump tree-sitter-typescript to c604297f8197b468026f2ea32119935887e01c67 (v0.20.3)
  * use our version of nested_identifier to represent an ImportId
  * update src/typescript-scanner.h
  * cargo: fix repository URL (#1)
  * include queries/*.scm symlinks in master branch (fixes #1)
  * unexclude generated sources from master branch
